#
# spec file for package python-manuel
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-manuel
Version:        1.8.0
Release:        3.1
Summary:        Build tested documentation
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.python.org/pypi/manuel
Source:         https://pypi.python.org/packages/source/m/manuel/manuel-%{version}.tar.gz
BuildRequires:  python-setuptools
BuildRequires:  python-six
# Documentation requirements:
BuildRequires:  python-Sphinx
# Testing requirements:
BuildRequires:  python-zope.testing
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Manuel lets you build tested documentation.

Documentation, a full list of included plug-ins, and examples are available
with the -doc package and at http://packages.python.org/manuel/.

%package doc
Summary:        Build tested documentation
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n manuel-%{version}
rm -rf docs/.doctrees docs/.buildinfo

%build
python setup.py build
python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py -q test

%files
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.rst LICENSE.rst PKG-INFO README.rst
%python_sitelib/*

%files doc
%defattr(-,root,root,-)
%doc docs/

%changelog
* Thu May  7 2015 benoit.monin@gmx.fr
- update to version 1.8.0:
  * Fixed ResourceWarnings under Python 3.
  * Added support for PyPy and Python 3.4.
  * Drop official support for Python 3.1 and 3.2.
  * Fix odd ImportError problems when used with tox and coverage.
  * Fix parsing of reST codeblock options with hyphens.
- rename documentation files .txt to .rst: changed upstream
* Sat Aug  3 2013 hpj@urpla.net
- version 1.7.2: initial build
